using UnityEngine;
using System.Collections;
using Framework.GuardianSaveSystem;

public class TestSaveBehaviour : MonoBehaviour, Savable 
{
    public int value; 

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        value++;
	}

    public ObjectDataMap Save(ObjectDataMap data)
    {
        data.Add("Value", value);
        return data;
    }

    public void Load(ObjectDataMap data)
    {
        value = data.Get<int>("Value");
    }
}
